X2Go Bug report logs - #1252
ssh broker : load balancing not working

version graph

Package: x2gobroker-ssh; Maintainer for x2gobroker-ssh is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-ssh is src:x2gobroker.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Tue, 13 Feb 2018 17:25:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.4.0-0~972~ubuntu16.04.1

Fixed in version 0.0.4.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1252; Package x2gobroker-ssh. (Tue, 13 Feb 2018 17:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message specified a Severity: in the pseudo-header, but the severity value bug was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, important, normal, minor, wishlist.

(Tue, 13 Feb 2018 17:25:01 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: ssh broker : load balancing not working
Date: Tue, 13 Feb 2018 18:13:03 +0100 (CET)
package: x2gobroker-ssh
version: 0.0.4.0-0~972~ubuntu16.04.1
priority: bug

Hi,

Tried using x2gobroker-ssh (0.0.4.0-0~972~ubuntu16.04.1) instead of classical http broker and finaly got it working but in ssh mode, load balancing on my server farm is not working, every session is redirected to the same server (the first one) while it is balanced correctly with the http broker on the same broker server.

I would love to send logs but it seems this broker don't produce log files or I couldn't find a way to get them.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1252; Package x2gobroker-ssh. (Tue, 15 May 2018 12:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 15 May 2018 12:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 1252@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1252@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1252: ssh broker : load balancing not working
Date: Tue, 15 May 2018 12:22:39 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 pending

Hi,

On  Di 13 Feb 2018 18:13:03 CET, Walid MOGHRABI wrote:

> package: x2gobroker-ssh
> version: 0.0.4.0-0~972~ubuntu16.04.1
> priority: bug
>
> Hi,
>
> Tried using x2gobroker-ssh (0.0.4.0-0~972~ubuntu16.04.1) instead of  
> classical http broker and finaly got it working but in ssh mode,  
> load balancing on my server farm is not working, every session is  
> redirected to the same server (the first one) while it is balanced  
> correctly with the http broker on the same broker server.
>
> I would love to send logs but it seems this broker don't produce log  
> files or I couldn't find a way to get them.
>
>
> Regards,
> Walid Moghrabi

The issue has been a user privilege issue when init system is systemd.

It got fixed by  
https://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=00b89c53a793a535657a80b5a14cc05ad70bda82 and possibly follow-up  
commits.

It will be fixed with release 0.0.4.0 of the X2Go Session Broker.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1252-submit@bugs.x2go.org. (Tue, 15 May 2018 12:30:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1252; Package x2gobroker-ssh. (Tue, 15 May 2018 12:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 15 May 2018 12:40:02 GMT) Full text and rfc822 format available.

Message #17 received at 1252@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1252-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1252@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Tue, 15 May 2018 14:36:23 +0200 (CEST)
tag #1252 pending
fixed #1252 0.0.4.0
thanks

Hello,

X2Go issue #1252 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=638d820

The issue will most likely be fixed in src:x2gobroker (0.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 638d82037e6d0cfb71c759667cccad24fbe7a874
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue May 15 14:36:16 2018 +0200

    update debian/changelog from Git history

diff --git a/debian/changelog b/debian/changelog
index a119984..4e346a2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,20 +14,91 @@ x2gobroker (0.0.4.0-0x2go1) UNRELEASED; urgency=medium
       check_profile_acls() method. (Fixes: #1234).
     - x2gobroker/tests/test_web_plain_base.py: Add test case for passwords
       with accentuated characters (using the testsuite_authmech for now).
+    - Makefile: Support skipping installation of the x2gobroker PyModule.
+      Useful when building with CDBS on Debian.
+    - Makefile: Compress man pages.
+    - Makefile: Run setup.py build at build time.
+    - tmpfiles.d utilization: Create RUNDIR/x2gobroker via tmpfiles.d system.
+      Fixes missing dir and flawed permissions when running under systemd.
+    - etc/x2gobroker.conf: Mention the per-profile option for enabling/disabling
+      load checker support.
+    - sbin/{x2gobroker-pubkeyauthorizer,x2gobroker-keygen}: Use proper octal
+      numbers for file permissions.
+    - sbin/x2gobroker-pubkeyauthorizer: Fix key lookup in os.environ for
+      Python3.
+    - sbin/x2gobroker-pubkeyauthorizer: Some string/bytecode fixes for Python3.
+      Plus urllib -> urllib.request.
+    - sbin/x2gobroker-pubkeyauthorizer: Improve key integrity checker and move
+      it further up. Plus one more Python2 -> Python3 issue fixed.
+    - sbin/x2gobroker-pubkeyauthorizer: Drop unused binascii import.
+    - x2gobroker-pubkeyauthorizer: Tiny Python2to3 fix.
+    - load checker integration: Make the default-use-load-checker option work
+      like all other default-* options.
+    - uccs frontend: Convert datetime.datetime object to string before answering
+      the http request with it.
+    - x2gobroker/agent (check_load()): Bail out if no remote agent is given.
+    - x2gobroker-testagent: Convert to Python3 (using 2to3 tool).
+    - x2gobroker-loadchecker: Python3'ify iteration over dict keys.
+    - x2gobroker/utils.py: Provide helper functions for pretty-formatting key
+      fingerprints.
+    - x2gobroker-keygen: Use new fingerprint formatting functions.
+    - x2gobroker/agent.py: Bail out if no hostaddr contained in remote_agent.
+    - x2gobroker/agent.py: No load-checking when remote_agent is set to 'LOCAL'.
+    - x2gobroker/agent.py: Better sanity checks for remote_agent and its dict
+      keys hostname and hostaddr.
+    - x2gobroker/loadchecker.py: Report properly to the logger if we fail to
+      obtain a load factor.
+    - x2gobroker-loadchecker.service: loadchecker service needs to chuid to
+      system user x2gobroker. (Closes: #1252).
+    - x2gobroker-loadchecker.service: File ownership should be
+      x2gobroker:x2gobroker, too.
+    - x2gobroker-loadchecker: No chown/chmod if we are not running as root
+      (which is mostly the case).
+    - x2gobroker/brokers/inifile_broker.py: Make sure profile['name'] has a
+      fallback if not given in the session profile.
+    - x2gobroker/brokers/inifile_broker.py: Also check for presence of 'host'
+      and 'sshport'.
+    - UCCS API change for X2Go Sessions: Rename "SessionType" to "Command".
+    - obligatory profile keys: Move from inifile backend to UCCS frontend, as
+      those requirements are frontend specific.
+    - UCCS: Start working on API version 5.
+    - x2gobroker/uccsjson.py: Hide private Python class properties from JSON
+      dict (like <obj>._api_version).
+    - UCCS frontend: Fix API version check.
+    - UCSS frontend: Propagate API version onwards to the X2GoServer JSON
+      generator class.
+    - infile broker backend: Fix handling of empty lists in session profile
+      and session profile defaults.
+    - etc/x2gobroker-wsgi.apache.*: Drop Apache2.2 support.
+    - Log to system broker.log file when run via x2gobroker-ssh.
+  * debian/*:
+    + Trigger Makefile's install target and install those files. Drop debhelper from-source-installation magic.
   * debian/{control,compat}: Bump to DH version level 9.
   * debian/{control,x2gobroker-common.install}:
     + Split out common files into non-Pythonian bin:pkg.
-  * debian/*.install: Add EOLs at EOF.
+  * debian/*.install:
+    + Add EOLs at EOF.
+    + Add tmpfiles.d files into bin:pkgs.
+    + Fix installation to /usr/lib/python3.x paths.
   * debian/control:
     + Drop from D (several bin:pkgs): python3-argparse, argparse is shipped
       with Python3 core.
     + Switch from libapache2-mod-wsgi to libapache2-mod-wsgi-py3.
+    + Add B-D: dh-python.
+  * debian/x2gobroker-loadchecker.postinst:
+    + Do chown/chmod on the correct file (not authservice.log, but loadchecker.log).
   * x2gobroker.spec:
     + Adapt to Python3 port.
     + Bump package version.
     + CentOS 6 + 7 have python34-devel, not python3-devel.
     + Enable debug_packages for openSUSE Tumbleweed (suse_version > 1500).
     + CentOS 6 + 7 have python34-setuptools, not python3-setuptools.
+    + Fix removal of conf files in tmpfiles.d where needed.
+    + Install tmpfiles.d configs into bin:pkgs.
+    + Only install tmpfiles.d configs on systems that support/have systemd.
+    + Some path fixes for the new tmpfiles.d/.
+    + Make sure the build chroot has all it needs to run the PyModule's unit tests.
+    + Let's try to get unit tests working on Fedora first...
 
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 05 Apr 2017 20:01:48 +0000
 


Marked as fixed in versions 0.0.4.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 15 May 2018 12:40:02 GMT) Full text and rfc822 format available.

Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1252. (Tue, 15 May 2018 12:40:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 11 07:09:42 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.